# Class OverPaperType2D

java.lang.Object
uk.ac.starlink.ttools.plot2.paper.RgbPaperType
uk.ac.starlink.ttools.plot2.paper.RgbPaperType2D
uk.ac.starlink.ttools.plot2.paper.OverPaperType2D

All Implemented Interfaces:
  `PaperType, PaperType2D`

public class OverPaperType2D extends RgbPaperType2D
Bitmapped 2D PaperType which just plots graphics over the top of any previously plotted data. No transparency or compositing is supported.

Since:
  14 Feb 2013
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class RgbPaperType2D

`RgbPaperType2D.RgbPaper2D`

### Nested classes/interfaces inherited from class RgbPaperType

`RgbPaperType.RgbPaper`

## Constructor Summary

Constructors
Constructor
Description
`OverPaperType2D()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected RgbPaperType2D.RgbPaper2D`
`createPaper2D(Rectangle bounds)`
Creates a 2D paper object for given bounds.

### Methods inherited from class RgbPaperType2D

`createPaper, placeGlyph`

### Methods inherited from class RgbPaperType

`createDataIcon, isBitmap, placeDecal, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface PaperType

`createDataIcon, isBitmap, placeDecal`

## Constructor Details

### OverPaperType2D

public OverPaperType2D()
Constructor.

## Method Details

### createPaper2D

protected RgbPaperType2D.RgbPaper2D createPaper2D(Rectangle bounds)
Description copied from class: `RgbPaperType2D`
Creates a 2D paper object for given bounds.

Specified by:
  `createPaper2D` in class `RgbPaperType2D`
Parameters:
  `bounds` - plot bounds
Returns:
  new 2d paper instance